[PyQt] Re: Problem compiling latest PyQt4 snapshot

Phil Thompson phil at riverbankcomputing.co.uk
Tue Dec 25 12:14:15 GMT 2007

On Tuesday 25 December 2007, Detlev Offenbach wrote:
> Hi Phil,
> the latest PyQt4 snapshot doesn't compile under Linux. I did
> python configure.py
> make
> and got the following error.
> g++ -c -pipe -fPIC -O2 -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_CORE_LIB
> -I. -I/usr/include/python2.5 -I/usr/mkspecs/linux-g++ -I/usr/include/QtCore
> -I/usr/include -I/usr/X11R6/include -o sipQtCoreQRegExp.o
> sipQtCoreQRegExp.cpp
> sip/QtCore/qregexp.sip: In function ‘PyObject*
> slot_QRegExp___repr__(PyObject*)’:
> sip/QtCore/qregexp.sip:61: error: ‘QStringToPyUnicode’ was not declared in
> this scope

Should be fixed in tonight's snapshot. Should work anyway with -j2.


More information about the PyQt mailing list